<?php
/**
 * The template for displaying 404 pages (not found).
 *
 * @link    https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package MagazineX
 * @since   1.0.0
 */

// Exit if accessed directly.
defined( 'ABSPATH' ) || exit;

get_header();
?>

	<main id="mzx-primary" class="mzx-primary">

		<section class="error-404 not-found">
			<header class="page-header">
				<h1 class="page-title"><?php esc_html_e( '404', 'magazinex' ); ?></h1>
				<p><?php esc_html_e( 'Oops! Page not found!', 'magazinex' ); ?></p>
			</header><!-- .page-header -->

			<div class="page-content">
				<p><?php esc_html_e( 'Maybe try searching?', 'magazinex' ); ?></p>
			</div><!-- .page-content -->

			<?php get_search_form(); ?>
		</section><!-- .error-404 -->

	</main><!-- #main -->

<?php
get_sidebar();
get_footer();
