<?php
/**
 * Theme hooks.
 *
 * @package MagazineX
 * @since   1.0.0
 */

// Exit if accessed directly.
defined( 'ABSPATH' ) || exit;

/**
 * Header.
 */
if ( ! function_exists( 'magazinex_header' ) ) {

	/**
	 * Header.
	 *
	 * @return void
	 */
	function magazinex_header() {

		/**
		 * Hook for header.
		 *
		 * @hooked magazinex_header_markup - 10.
		 */
		do_action( 'magazinex_header' );
	}
}

if ( ! function_exists( 'magazinex_main_header' ) ) {

	/**
	 * Primary header.
	 *
	 * @return void
	 */
	function magazinex_main_header() {

		/**
		 * Hook for header.
		 *
		 * @hooked magazinex_main_header_markup - 10.
		 */
		do_action( 'magazinex_main_header' );
	}
}

if ( ! function_exists( 'magazinex_main_header_layout_1' ) ) {

	/**
	 * Primary header layout 1.
	 *
	 * @return void
	 */
	function magazinex_main_header_layout_1() {

		/**
		 * Hook for header.
		 *
		 * @hooked magazinex_main_header_layout_1_markup - 10.
		 */
		do_action( 'magazinex_main_header_layout_1' );
	}
}

if ( ! function_exists( 'magazinex_main_header_layout_2' ) ) {

	/**
	 * Primary header layout 2.
	 *
	 * @return void
	 */
	function magazinex_main_header_layout_2() {

		/**
		 * Hook for header.
		 *
		 * @hooked magazinex_main_header_layout_2_markup - 10.
		 */
		do_action( 'magazinex_main_header_layout_2' );
	}
}

if ( ! function_exists( 'magazinex_header_bar' ) ) {

	/**
	 * Header bar.
	 *
	 * @return void
	 */
	function magazinex_header_bar() {

		/**
		 * Hook for header bar.
		 *
		 * @hooked magazinex_header_bar_markup - 10.
		 */
		do_action( 'magazinex_header_bar' );
	}
}

if ( ! function_exists( 'magazinex_main_header' ) ) {

	/**
	 * Main header.
	 *
	 * @return void
	 */
	function magazinex_main_header() {

		/**
		 * Hook for main header.
		 *
		 * @hooked magazinex_main_header_markup - 10.
		 */
		do_action( 'magazinex_main_header' );
	}
}


if ( ! function_exists( 'magazinex_header_1' ) ) {

	/**
	 * First level header.
	 *
	 * @return void
	 */
	function magazinex_header_1() {

		/**
		 * Hook for first level header.
		 *
		 * @hooked magazinex_header_1_markup - 10.
		 */
		do_action( 'magazinex_header_1' );
	}
}

if ( ! function_exists( 'magazinex_site_branding' ) ) {

	/**
	 * Header site branding.
	 *
	 * @return void
	 */
	function magazinex_site_branding() {

		/**
		 * Hook for header branding.
		 *
		 * @hooked magazinex_site_branding_markup - 10.
		 */
		do_action( 'magazinex_site_branding' );
	}
}

if ( ! function_exists( 'magazinex_header_blocks' ) ) {
	/**
	 * Header blocks.
	 *
	 * @return void
	 */
	function magazinex_header_blocks() {

		/**
		 * Hook for header blocks.
		 *
		 * @hooked magazinex_header_blocks_markup - 10.
		 */
		do_action( 'magazinex_header_blocks' );
	}
}

if ( ! function_exists( 'magazinex_header_2' ) ) {

	/**
	 * Second level header.
	 *
	 * @return void
	 */
	function magazinex_header_2() {

		/**
		 * Hook for second level header.
		 *
		 * @hooked magazinex_header_2_markup - 10.
		 */
		do_action( 'magazinex_header_2' );
	}
}

if ( ! function_exists( 'magazinex_header_drawer' ) ) {

	/**
	 * Header drawer.
	 *
	 * @return void
	 */
	function magazinex_header_drawer() {

		/**
		 * Hook for header drawer.
		 *
		 * @hooked magazinex_header_drawer_markup - 10.
		 */
		do_action( 'magazinex_header_drawer' );
	}
}

if ( ! function_exists( 'magazinex_mobile_menu' ) ) {

	/**
	 * Mobile menu.
	 *
	 * @return void
	 */
	function magazinex_mobile_menu() {

		/**
		 * Hook for mobile menu.
		 *
		 * @hooked magazinex_mobile_menu_markup - 10.
		 */
		do_action( 'magazinex_mobile_menu' );
	}
}

if ( ! function_exists( 'magazinex_mobile_menu_nav' ) ) {

	/**
	 * Mobile menu.
	 *
	 * @return void
	 */
	function magazinex_mobile_menu_nav() {

		/**
		 * Hook for mobile menu.
		 *
		 * @hooked magazinex_mobile_menu_nav_markup - 10.
		 */
		do_action( 'magazinex_mobile_menu_nav' );
	}
}

if ( ! function_exists( 'magazinex_primary_menu' ) ) {

	/**
	 * Primary menu.
	 *
	 * @return void
	 */
	function magazinex_primary_menu() {

		/**
		 * Hook for primary menu.
		 *
		 * @hooked magazinex_primary_menu_markup - 10.
		 */
		do_action( 'magazinex_primary_menu' );
	}
}

if ( ! function_exists( 'magazinex_header_actions' ) ) {

	/**
	 * Header actions.
	 *
	 * @return void
	 */
	function magazinex_header_actions() {

		/**
		 * Hook for header actions.
		 *
		 * @hooked magazinex_header_actions_markup - 10.
		 */
		do_action( 'magazinex_header_actions' );
	}
}

if ( ! function_exists( 'magazinex_page_header' ) ) {

	/**
	 * Page header.
	 *
	 * @return void
	 */
	function magazinex_page_header() {

		/**
		 * Hook for page header markup.
		 *
		 * @hooked magazinex_page_header_markup - 10.
		 */
		do_action( 'magazinex_page_header' );
	}
}

/**
 * Content.
 */
if ( ! function_exists( 'magazinex_content' ) ) {

	/**
	 * MagazineX content.
	 *
	 * @return void
	 */
	function magazinex_content() {

		/**
		 * Hook for content.
		 *
		 * @hooked magazinex_content_loop - 10
		 */
		do_action( 'magazinex_content' );
	}
}

if ( ! function_exists( 'magazinex_content_search' ) ) {

	/**
	 * MagazineX content search.
	 *
	 * @return void
	 */
	function magazinex_content_search() {

		/**
		 * Hook for content search.
		 *
		 * @hooked magazinex_content_loop - 10
		 */
		do_action( 'magazinex_content_search' );
	}
}

if ( ! function_exists( 'magazinex_content_archive' ) ) {

	/**
	 * MagazineX content archive.
	 *
	 * @return void
	 */
	function magazinex_content_archive() {

		/**
		 * Hook for content archive.
		 *
		 * @hooked magazinex_content_loop - 10
		 */
		do_action( 'magazinex_content_archive' );
	}
}

if ( ! function_exists( 'magazinex_content_single' ) ) {

	/**
	 * Content single.
	 *
	 * @return void
	 */
	function magazinex_content_single() {

		/**
		 * Hook for single content.
		 *
		 * @hooked magazinex_single_content_loop - 10
		 */
		do_action( 'magazinex_content_single' );
	}
}

/**
 * Footer.
 */
if ( ! function_exists( 'magazinex_footer' ) ) {

	/**
	 * Footer.
	 *
	 * @return void
	 */
	function magazinex_footer() {

		/**
		 * Hook for footer markup.
		 *
		 * @hooked magazinex_footer_markup - 10.
		 */
		do_action( 'magazinex_footer' );
	}
}

if ( ! function_exists( 'magazinex_footer_columns' ) ) {

	/**
	 * Footer columns.
	 *
	 * @return void
	 */
	function magazinex_footer_columns() {

		/**
		 * Hook for footer column markup.
		 *
		 * @hooked magazinex_footer_columns_markup - 10.
		 */
		do_action( 'magazinex_footer_columns' );
	}
}

if ( ! function_exists( 'magazinex_footer_bar' ) ) {

	/**
	 * Footer bar.
	 *
	 * @return void
	 */
	function magazinex_footer_bar() {

		/**
		 * Hook for magazinex footer bar.
		 *
		 * @hooked magazinex_footer_bar_markup - 10
		 */
		do_action( 'magazinex_footer_bar' );
	}
}

if ( ! function_exists( 'magazinex_footer_bar_1' ) ) {

	/**
	 * Footer bar 1.
	 *
	 * @return void
	 */
	function magazinex_footer_bar_1() {

		/**
		 * Hook for footer bar 1.
		 *
		 * @hooked magazinex_footer_bar_1_markup - 10
		 */
		do_action( 'magazinex_footer_bar_1' );
	}
}

if ( ! function_exists( 'magazinex_footer_bar_2' ) ) {

	/**
	 * Footer bar 2.
	 *
	 * @return void
	 */
	function magazinex_footer_bar_2() {

		/**
		 * Hook for footer bar 2.
		 *
		 * @hooked magazinex_footer_bar_2_markup - 10
		 */
		do_action( 'magazinex_footer_bar_2' );
	}
}

if ( ! function_exists( 'magazinex_scroll_to_top' ) ) {

	/**
	 * Scroll to top.
	 *
	 * @return void
	 */
	function magazinex_scroll_to_top() {

		/**
		 * Hook for scroll to top.
		 *
		 * @hooked magazinex_scroll_to_top_markup - 10
		 */
		do_action( 'magazinex_scroll_to_top' );
	}
}

