<?php
/**
 * Post formats custom outputs.
 *
 * @package MagazineX
 * @since   MagazineX 1.0.2
 */

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

/**
 * For Video Post Format.
 */
if ( has_post_format( 'video' ) ) :
    if ( ! ( has_post_thumbnail() ) ) {
        $video_post_url = get_post_meta($post->ID, 'video_url', true);

        if (!empty($video_post_url)) :
            ?>
            <div class="fitvids-video">
                <?php
                $embed_code = wp_oembed_get($video_post_url);

                echo $embed_code; // phpcs:ignore WordPress.XSS.EscapeOutput.OutputNotEscaped
                ?>
            </div>
        <?php
        endif;
    } elseif ( is_single() ) {
        $video_post_url = get_post_meta( $post->ID, 'video_url', true );

        if ( ! empty( $video_post_url ) ) :
            ?>
            <div class="fitvids-video">
                <?php
                $embed_code = wp_oembed_get( $video_post_url );

                echo $embed_code; // phpcs:ignore WordPress.XSS.EscapeOutput.OutputNotEscaped
                ?>
            </div>
        <?php
        endif;
    }
endif;
