<?php
/**
 * Template part for entry header.
 *
 * @link    https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package MagazineX
 * @since   1.0.0
 */

// Exit if accessed directly.
defined( 'ABSPATH' ) || exit;
?>

<header class="entry-header">
	<div class="entry-header-meta">
		<?php
		$blog_meta_elements        = get_theme_mod(
			'magazinex_blog_header_meta',
			array(
				'category',
				'comment',
			)
		);
		$single_post_meta_elements = get_theme_mod(
			'magazinex_single_post_header_meta',
			array(
				'category',
				'comment',
			)
		);
		$meta_elements             = is_single() ? $single_post_meta_elements : $blog_meta_elements;
		if ( in_array( 'category', $meta_elements, true ) ) {
			if ( magazinex_is_magazinex_pro_active() ) {
				magazinex_pro_entry_category();
			} else {
				magazinex_entry_category();
			}
		}

		if ( in_array( 'comment', $meta_elements, true ) ) {
			magazinex_entry_comments();
		}

		?>
	</div>
