<?php
/**
 * Template part entry meta.
 *
 * @link    https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package MagazineX
 * @since   1.0.0
 */

// Exit if accessed directly.
defined( 'ABSPATH' ) || exit;

if ( 'post' === get_post_type() ) :
	?>
	<div class="entry-meta">
		<?php
		$blog_meta_elements        = get_theme_mod(
			'magazinex_blog_meta',
			array(
				'author',
				'date',
			)
		);
		$single_post_meta_elements = get_theme_mod(
			'magazinex_single_post_meta',
			array(
				'author',
				'date',
			)
		);
		$meta_elements             = is_single() ? $single_post_meta_elements : $blog_meta_elements;

		if ( in_array( 'author', $meta_elements, true ) ) {
			magazinex_entry_meta_author();
		}

		if ( in_array( 'date', $meta_elements, true ) ) {
			magazinex_entry_meta_date();
		}

		edit_post_link(
			sprintf(
				wp_kses(
				/* translators: %s: Name of current post. Only visible to screen readers */
					__( 'Edit <span class="screen-reader-text">%s</span>', 'magazinex' ),
					array(
						'span' => array(
							'class' => array(),
						),
					)
				),
				wp_kses_post( get_the_title() )
			),
			'<span class="edit-link">' . magazinex_get_icon( 'edit', false ),
			'</span>'
		);
		?>
	</div><!-- .entry-meta -->
<?php endif; ?>
