<?php
/**
 * The template part for displaying navigation.
 *
 * @package    MagazineX
 * @since      1.0.0
 */

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}


/**
 * Navigation for archive, home and search results pages.
 */
if ( is_archive() || is_home() || is_search() ) :

	/**
	 * Display WP-PageNavi pagination instead of theme pagination if the plugin exists.
	 */
	if ( function_exists( 'wp_pagenavi' ) ) :
		wp_pagenavi();

	else :
		global $wp_query;
		if ( $wp_query->max_num_pages > 1 ) :
			?>
			<ul class="default-wp-page">
				<li class="previous"><?php next_posts_link( esc_html__( 'Previous Article', 'magazinex' ) ); ?></li>
				<li class="next"><?php previous_posts_link( esc_html__( 'Next Article', 'magazinex' ) ); ?></li>
			</ul>
			<?php
		endif;
	endif;

endif;
