<?php
/**
 * Page header template.
 *
 * @link    https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package MagazineX
 * @since   1.0.0
 */

// Exit if accessed directly.
defined( 'ABSPATH' ) || exit;
?>

<div class="mzx-page-header">
	<div class="mzx-container">

		<?php if ( ! is_singular( array( 'post', 'product' ) ) ) : ?>

			<?php if ( ! MagazineX_Utils::page_header_has_title() ) : ?>
				<div class="mzx-page-header-title">
					<h1 class="mzx-page-title">
						<?php magazinex_page_title(); ?>
					</h1>
					<?php magazinex_archive_description(); ?>
				</div>
			<?php endif; ?>
		<?php endif ?>

		<?php
		$args = array(
			'container_before' => '<div class="mzx-breadcrumbs">',
			'container_after'  => '</div>',
		);

		if ( ! MagazineX_Utils::page_header_has_breadcrumbs() ) {
			magazinex_breadcrumb( $args );
		}
		?>
	</div>
</div><!-- .mzx-page-header -->
